package OpcMsgAppender;
use strict;

sub new
{
    my ( $class, %options ) = @_;

    my $self = {
        'application' => 'log4perl',
        'object'      => 'undefined',
        'msg_grp'     => '',
        'service_id'  => '',
        'severity'    => 'normal',
        'opcmsg_bin'  => '/opt/OV/bin/OpC/opcmsg',
        %options
    };
    bless $self, $class;

    return $self;
}

sub log
{
    my ( $self, %params ) = @_;

    my $rc =
      system( $self->{opcmsg_bin} . " " . "a=\""
          . $self->{application} . "\" " . "o=\""
          . $self->{object} . "\" "
          . "msg_grp=\""
          . $self->{msg_grp} . "\" "
          . "msg_t=\""
          . $params{message} . "\" "
          . "severity=\""
          . $self->{severity} . "\" "
          . "service_id=\""
          . $self->{service_id}
          . "\"" );
}

1;
